"use strict";

const gulp = require('gulp');

const {Utils} = require('./_Utils');

const Watcher = {
    init: () => {
        gulp.watch(global.config.path.styles.src+'/'+(Utils.capitalize(global.config.cssPreProcessor))+'/**/*.'+global.config.cssPreProcessor).on('all', gulp.series(global.cssPreProcessor.build));
        gulp.watch('./Resources/Private/JavaScript/**/*.js').on('all', gulp.series(global.cssPreProcessor.build));
    }
};

exports.Watcher = Watcher;


